# ContractPrincipal | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- ContractPrincipal

## Index

### Properties

- address
- contractName
- prefix
- type

## Properties

### Readonly address

address: Address

- Defined in packages/transactions/src/types.ts:251

### Readonly contractName

contractName: LengthPrefixedString

- Defined in packages/transactions/src/types.ts:252

### Readonly prefix

prefix: Contract

- Defined in packages/transactions/src/types.ts:250

### Readonly type

type: Principal

- Defined in packages/transactions/src/types.ts:249

Generated using TypeDoc